> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter workspace

> Retorna detalhes estruturais do workspace.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    get:
      tags:
        - public-accounts
        - public-workspaces
      summary: Obter workspace
      description: Retorna detalhes estruturais do workspace.
      operationId: >-
        get_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceResponse:
      properties:
        account_id:
          description: Conta UUID proprietária do espaço de trabalho
          format: uuid
          title: Id da conta
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Carimbo de data e hora de criação do espaço de trabalho
          title: Criado em
        id:
          description: UUID do workspace
          format: uuid
          title: ID
          type: string
        name:
          description: Nome de exibição do espaço de trabalho
          title: Nome
          type: string
        status:
          default: active
          description: Status do ciclo de vida do workspace
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Carimbo de data/hora da última atualização do espaço de trabalho
          title: Atualizado em
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````